Get webhook endpoint
curl --request GET \
--url https://api.social-api.ai/v1/webhooks/{id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/webhooks/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"created_at": "<string>",
"events": [
"<string>"
],
"id": "<string>",
"is_active": true,
"secret_hint": "<string>",
"stats": {
"last_24h": {
"delivered": 123,
"failed": 123
},
"last_7d": {
"delivered": 123,
"failed": 123
}
},
"url": "<string>"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Webhooks
Get webhook endpoint
Returns the configuration and aggregate delivery stats for a single webhook endpoint owned by the caller.
GET
/
webhooks
/
{id}
Get webhook endpoint
curl --request GET \
--url https://api.social-api.ai/v1/webhooks/{id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/webhooks/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"created_at": "<string>",
"events": [
"<string>"
],
"id": "<string>",
"is_active": true,
"secret_hint": "<string>",
"stats": {
"last_24h": {
"delivered": 123,
"failed": 123
},
"last_7d": {
"delivered": 123,
"failed": 123
}
},
"url": "<string>"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
Webhook endpoint ID